<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="vip.xiaonuo.hr.modular.count.mapper.HrCountMapper">

    <select id="getZhiChuDetailsMonth" resultType="vip.xiaonuo.hr.modular.baseemployeeinfo.entity.vo.DongShiCountNum">
     SELECT  max(HR_NUM)  jobNum, ROUND(IFNULL(SUM(PAY), 0)/10000 , 2) pay , DATE_FORMAT(CREATE_TIME , '%Y-%m')   ymonth FROM  `hr_count` ${ew.customSqlSegment}
    </select>
    <select id="getZhiChuDetailsYear" resultType="vip.xiaonuo.hr.modular.baseemployeeinfo.entity.vo.DongShiCountNum">
         SELECT  max(HR_NUM) jobNum , ROUND(IFNULL(SUM(PAY), 0)/10000 , 2) pay , DATE_FORMAT(CREATE_TIME , '%Y')   ymonth FROM  `hr_count` ${ew.customSqlSegment}
    </select>
</mapper>